from openpyxl import Workbook
from openpyxl.styles import Alignment


#  데이터 추가 함수 정의
def add_data_to_sheet(ws, data):
    # 헤더 추가
    headers = list(data.keys())
    ws.append(headers)
    
    # 데이터 행 추가
    for i in range(len(data['Subject'])):
        ws.append([data['Subject'][i], data['Status'][i], data['uploadDate'][i]])


# 중앙 정렬 적용 함수
def center_align_column(ws, col_index):
    for row in range(2, ws.max_row + 1):  # 헤더 제외 데이터 행부터 적용
        cell = ws.cell(row=row, column=col_index)
        cell.alignment = center_alignment
 
# 4. 열 너비 설정 함수
def set_column_width(ws, col_letter, width):
    ws.column_dimensions[col_letter].width = width



# 여러 시트에 들어갈 데이터 생성
data1 = {
    'Subject': ['국어', '영어'],
    'Status': ['완료', '미완료'],
    'uploadDate': ['2024년 11월 22일', '2024년 11월 22일']
}

data2 = {
    'Subject': ['역사', '지리'],
    'Status': ['미완료', '완료'],
    'uploadDate': ['2024년 11월 22일', '2024년 11월 23일']
}

# 1. 워크북 생성
wb = Workbook()

# 워크시트 추가
ws1 = wb.active
ws1.title = "A학원"
ws2 = wb.create_sheet(title="B학원")


# 데이터 추가
add_data_to_sheet(ws1, data1)
add_data_to_sheet(ws2, data2)

# 3. 중앙 정렬 설정
center_alignment = Alignment(horizontal='center', vertical='center')

# uploadDate 컬럼의 열 인덱스 (엑셀 기준 3번째 열)
upload_date_col_index = 3


# uploadDate 컬럼 중앙 정렬
center_align_column(ws1, upload_date_col_index)
center_align_column(ws2, upload_date_col_index)

# uploadDate 컬럼 너비를 100으로 설정 (엑셀 열 이름 'C')
set_column_width(ws1, 'C', 100)
set_column_width(ws2, 'C', 100)
# 4. 파일 저장
wb.save("학원 숙제 관리2.xlsx")


